<routes xmlns="http://camel.apache.org/schema/spring">
	<!-- Packet-Reciever to packet-uploader Route -->
	<route id="packet-reciever-->packet-uploader route">
		<from uri="vertx:packet-receiver-bus-out" />
		<log
			message="packet-reciever-->packet-uploader ${bodyAs(String)}" />
		<choice>
			<when>
				<simple>${bodyAs(String)} contains '"isValid":true'</simple>
				<setHeader headerName="CamelHttpMethod">
					<constant>POST</constant>
				</setHeader>
				<setHeader headerName="Content-Type">
					<constant>application/json</constant>
				</setHeader>
				<setBody>
					<simple>${bodyAs(String)}</simple>
				</setBody>
				<to uri="https://integ.mosip.io/registrationprocessor/v1/uploader/securezone" />
			</when>
			<when>
				<simple>${bodyAs(String)} contains '"internalError":true'</simple>
				<to uri="vertx:retry-bus-in" />
			</when>
			<otherwise>
				<to uri="vertx:error-bus-in" />
			</otherwise>
		</choice>
	</route>
</routes>
